Bug 1164215 - vdsm sos plugin doesn't work
Summary: vdsm sos plugin doesn't work
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm
Version: 3.5
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 3.5.1
Assignee: Sandro Bonazzola
QA Contact: Gil Klein
URL:
Whiteboard: integration
Depends On:
Blocks: 1162784 rhev35rcblocker 1166521
TreeView+ depends on / blocked
 
Reported: 2014-11-14 11:23 UTC by Sandro Bonazzola
Modified: 2015-01-21 16:04 UTC (History)
14 users (show)

Fixed In Version: ovirt-3.5.1_rc1
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1166521 (view as bug list)
Environment:
Last Closed: 2015-01-21 16:04:43 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 35312 master MERGED sos: fix config import Never
oVirt gerrit 35389 ovirt-3.5 MERGED sos: fix config import Never

Description Sandro Bonazzola 2014-11-14 11:23:15 UTC
sos 3.2 has been released Tue Sep 30 2014.

Using sos 3.2 for collecting vdsm data it fails with the following error:

# sosreport -o vdsm

sosreport (version 3.2)

plugin vdsm does not install, skipping: No module named config
a non-existing plugin (vdsm) was specified in the command line
[root@mididell ~]# sosreport -o vdsm --verbose

sosreport (version 3.2)

plugin vdsm does not install, skipping: No module named config
a non-existing plugin (vdsm) was specified in the command line


# sosreport -o vdsm --debug  

sosreport (version 3.2)

plugin vdsm does not install, skipping: No module named config
Traceback (most recent call last):
  File "/usr/sbin/sosreport", line 25, in <module>
    main(sys.argv[1:])
  File "/usr/lib/python2.7/site-packages/sos/sosreport.py", line 1411, in main
    sos.execute()
ImportError: No module named config

> /usr/lib/python2.7/site-packages/sos/plugins/vdsm.py(39)_importVdsmPylibModule()
-> modName, [os.path.join(get_python_lib(True), "vdsm")])


side note:
pep8 /usr/lib/python2.7/site-packages/sos/plugins/vdsm.py
/usr/lib/python2.7/site-packages/sos/plugins/vdsm.py:130:80: E501 line too long (83 > 79 characters)

vdsm-4.16.7-39.gitd88aba8.fc20.x86_64

Comment 1 Sandro Bonazzola 2014-11-18 12:41:05 UTC
Verified on CentOS 6.6, it doesn't work on sos 2.2 too.
 # sosreport --diagnose --verbose -o vdsm                    

 sosreport (version 2.2)

 plugin vdsm.py does not install, skipping
 no valid plugins were enabled

Comment 2 Sandro Bonazzola 2014-11-18 14:01:05 UTC
After further investigation, looks like vdsm sos plugin is trying to load a config python module from /usr/lib64/python2.6/site-packages/vdsm being on a x86_64 system, but fails since that direcotry doesn't exist and the config module is in /usr/lib/python2.6/site-packages/vdsm

Comment 3 Sandro Bonazzola 2014-11-20 11:01:26 UTC
just a note for the test case: functional test exist:

 - install vdsm-tests.rpm
 - get vdsm to run
 - go to /usr/share/vdsm/tests
 - execute ./run_tests.sh functional/sosPluginTests.py

Comment 4 Sandro Bonazzola 2015-01-15 14:25:29 UTC
This is an automated message: 
This bug should be fixed in oVirt 3.5.1 RC1, moving to QA

Comment 5 Sandro Bonazzola 2015-01-21 16:04:43 UTC
oVirt 3.5.1 has been released. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.